@use "colors";
@use "variables";

.page {
    position: relative;
    width: 100%;

    .page-content-group {
        width: 90%;
        max-width: variables.$max-width;
        margin: 16px auto;
        background-color: colors.$content-white;
        border: 1px solid colors.$black;
        border-radius: 4px;
        box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.25);

        @media (min-width: 600px) {
            .MuiGrid-grid-sm-6 {
                flex-grow: 0;
                max-width: 50%;
                flex-basis: 48%;
            }
        }

        &:empty {
            display: none;
        }

        &.title {
            border: none;
            box-shadow: none;
        }

        &.demands,
        &.regio {
            .page-content {
                flex-grow: 0;
                max-width: 100%;
                flex-basis: 100%;
            }

            .atlas {
                padding: 0;
            }
        }

        @media (min-width: 600px) and (max-width: 800px) {
            &.donation-section {
                .MuiGrid-grid-sm-6 {
                    flex-grow: 0;
                    max-width: 100%;
                    flex-basis: 100%;
                }
            }
        }

        .page-content {
            padding: 2rem;

            &.title {
                padding: 2rem 0 0;
            }

            &.posts {
                padding: 0;
            }

            &:empty {
                display: none;
            }
        }
    }
}